cURL
curl --request POST \
--url https://api.reliv.ai/api/v0/test-run-sets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"env": "dev",
"envOverride": {
"URL": "https://google.com"
}
}
'import requests
url = "https://api.reliv.ai/api/v0/test-run-sets"
payload = {
"env": "dev",
"envOverride": { "URL": "https://google.com" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({env: 'dev', envOverride: {URL: 'https://google.com'}})
};
fetch('https://api.reliv.ai/api/v0/test-run-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"testRunSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}REST API
/v0/test-run-sets
Creates Test Run Set.
POST
/
v0
/
test-run-sets
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Config for Test Run Set
Response
200 - application/json
Success Response
⌘I